<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosFileTransfer_&shy;File</title>
    <shorttitle>..._File</shorttitle>
    <prepared></prepared>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>2000-11-09</date>
    <rev>PA1</rev>
  </header>
  <module>CosFileTransfer_File</module>
  <modulesummary>This module implements the OMG CosFileTransfer::File interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosFileTransfer/include/*.hrl").</c></p>
    <p>This module also exports the functions described in:</p>
    <list type="bulleted">
      <item>
        <p>CosPropertyService_PropertySetDef in the cosProperty application.</p>
      </item>
    </list>
  </description>
  <funcs>
    <func>
      <name>'_get_name'(File) -> string()</name>
      <fsummary>Return the target object's associated name</fsummary>
      <type>
        <v>File = #objref</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's associated name.</p>
      </desc>
    </func>
    <func>
      <name>'_get_complete_file_name'(File) -> string()</name>
      <fsummary>Return the target object's associated  absolute name.</fsummary>
      <type>
        <v>File = #objref</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's associated 
          absolute name.</p>
      </desc>
    </func>
    <func>
      <name>'_get_parent'(File) -> Directory</name>
      <fsummary>Return the target object's container.</fsummary>
      <type>
        <v>File = Directory = #objref</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's container.
          In some cases a <c>NIL</c> object will be returned.</p>
      </desc>
    </func>
    <func>
      <name>'_get_associated_session'(File) -> FileTransferSession</name>
      <fsummary>Return the target object's associated <c>FileTransferSession</c></fsummary>
      <type>
        <v>File = FileTransferSession = #objref</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's associated
          <c>FileTransferSession</c>.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

